> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent topology showing agents and their subscription edges

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | REGISTRY | READ | REGISTRY:READ |



## OpenAPI

````yaml /openapi/swarmd.json get /registry/v1/agents/topology
openapi: 3.0.1
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.swarmd.ai
    description: Production
  - url: https://api.sandbox.swarmd.ai
    description: Sandbox
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Webhooks
    x-displayName: Webhooks
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: Conversations
    x-displayName: Conversations
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agents
    x-displayName: Agents
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /registry/v1/agents/topology:
    get:
      tags:
        - Agents
      summary: Get agent topology showing agents and their subscription edges
      description: |-
        **Security Requirements**

        | Auth Types | Entities | Permissions | Required Roles |
        |------------|----------|-------------|----------------|
        | USER | REGISTRY | READ | REGISTRY:READ |
      operationId: getAgentTopology
      parameters:
        - name: agentId
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AgentTopologyResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    AgentTopologyResponse:
      type: object
      properties:
        agents:
          type: array
          items:
            $ref: '#/components/schemas/AgentResponse'
        edges:
          type: array
          items:
            $ref: '#/components/schemas/TopologyEdge'
    AgentResponse:
      type: object
      properties:
        agentId:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        agentCardUrl:
          type: string
        originalCardUrl:
          type: string
        version:
          type: string
        status:
          type: string
        statusReason:
          type: string
        healthStatus:
          type: string
        visibility:
          type: string
          enum:
            - PUBLIC
            - PRIVATE
            - INTERNAL
        subscriptionCount:
          type: integer
          format: int32
        metrics:
          $ref: '#/components/schemas/AgentMetrics'
        uptimePercentage:
          type: number
          format: double
        tenantDetails:
          $ref: '#/components/schemas/AgentTenantDetails'
    TopologyEdge:
      type: object
      properties:
        sourceAgentId:
          type: string
          format: uuid
        sinkAgentId:
          type: string
          format: uuid
    AgentMetrics:
      type: object
      properties:
        requestCount:
          type: integer
          format: int64
        errorPercentage:
          type: number
          format: double
        avgLatencyMs:
          type: number
          format: double
    AgentTenantDetails:
      type: object
      properties:
        tenantName:
          type: string
        publicContactEmail:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````